> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kaizenautomation.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List executions

> Retrieves all executions for the current organization with optional filtering



## OpenAPI

````yaml post /executions/list
openapi: 3.1.0
info:
  title: Kaizen API
  version: 1.0.0
  description: API for the Kaizen Automation Platform
servers:
  - url: https://api.kaizenautomation.com
    description: Production server
security: []
paths:
  /executions/list:
    post:
      tags:
        - Executions
      summary: List executions
      description: >-
        Retrieves all executions for the current organization with optional
        filtering
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                status:
                  type: string
                  enum:
                    - InProgress
                    - Completed
                    - Enqueued
                    - Failed
                    - Paused
                  description: Filter executions by status
                loginId:
                  type: string
                  description: Filter executions by login external ID
                search:
                  type: array
                  items:
                    type: string
                  description: >-
                    Search executions by execution ID or parameters. Multiple
                    search terms are combined with OR (union search).
                batch:
                  type: string
                  description: Filter executions by batch external ID
                workflowId:
                  type: string
                  description: Filter executions by workflow external ID
                tagFilters:
                  type: array
                  items:
                    type: string
                  description: >-
                    Filter executions by workflow tag external IDs (workflows
                    must have all specified tags)
                fromTs:
                  type: string
                  format: date-time
                  description: >-
                    Filter executions with start time >= this timestamp (ISO
                    8601 format, UTC)
                toTs:
                  type: string
                  format: date-time
                  description: >-
                    Filter executions with start time <= this timestamp (ISO
                    8601 format, UTC)
                isTest:
                  type: boolean
                  description: Filter executions by test run status
              description: Request parameters for listing executions
        required: true
      responses:
        '200':
          description: Executions retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  executions:
                    type: array
                    items:
                      oneOf:
                        - type: object
                          properties:
                            id:
                              type: string
                              description: Unique identifier for the execution
                            workflow:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: ID of the workflow being executed
                                name:
                                  type: string
                                  description: Name of the workflow being executed
                              required:
                                - id
                                - name
                            batch:
                              type:
                                - object
                                - 'null'
                              properties:
                                id:
                                  type: string
                                  description: ID of the execution batch
                                name:
                                  type: string
                                  description: Name of the execution batch
                              required:
                                - id
                                - name
                              description: >-
                                Batch information if execution is part of a
                                batch
                            logins:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    description: ID of the login used for execution
                                  name:
                                    type: string
                                    description: Name of the login used for execution
                                required:
                                  - id
                                  - name
                            authentications:
                              type: array
                              items:
                                oneOf:
                                  - type: object
                                    properties:
                                      browserSessionId:
                                        type: string
                                        description: >-
                                          ID of the browser session used for
                                          authentication
                                      status:
                                        type: string
                                        const: InProgress
                                        description: Status of the authentication
                                      liveViewUrl:
                                        type:
                                          - string
                                          - 'null'
                                        description: URL for live view of the authentication
                                    required:
                                      - browserSessionId
                                      - status
                                      - liveViewUrl
                                    title: In Progress Authentication
                                  - type: object
                                    properties:
                                      status:
                                        type: string
                                        const: Enqueued
                                        description: Status of the authentication
                                    required:
                                      - status
                                    title: Enqueued Authentication
                                  - type: object
                                    properties:
                                      browserSessionId:
                                        type: string
                                        description: >-
                                          ID of the browser session used for
                                          authentication
                                      status:
                                        type: string
                                        const: Completed
                                        description: Status of the authentication
                                    required:
                                      - browserSessionId
                                      - status
                                    title: Finished Authentication
                                  - type: object
                                    properties:
                                      browserSessionId:
                                        type: string
                                        description: >-
                                          ID of the browser session used for
                                          authentication
                                      status:
                                        type: string
                                        const: Failed
                                        description: Status of the authentication
                                    required:
                                      - browserSessionId
                                      - status
                                    title: Failed Authentication
                              description: Authentication responses for this execution
                            contextAuthentications:
                              type: array
                              items:
                                type: object
                                properties:
                                  contextAuthenticationId:
                                    type: string
                                    description: ID of the context authentication
                                  loginSummary:
                                    type: object
                                    properties:
                                      loginId:
                                        type: string
                                        description: ID of the login used for authentication
                                      name:
                                        type: string
                                        description: >-
                                          Name of the login used for
                                          authentication
                                      isManual:
                                        type: boolean
                                        description: >-
                                          Whether this login requires manual
                                          authentication
                                    required:
                                      - loginId
                                      - name
                                      - isManual
                                  authenticationStatus:
                                    type: string
                                    enum:
                                      - Unauthenticated
                                      - AuthenticationInProgress
                                      - Authenticated
                                    description: >-
                                      Current status of the authentication from
                                      browser context
                                required:
                                  - contextAuthenticationId
                                  - loginSummary
                                  - authenticationStatus
                              description: >-
                                Session authentication responses with login
                                summary for this execution
                            startTime:
                              type: string
                              format: date-time
                              description: When the execution started
                            status:
                              type: string
                              enum:
                                - InProgress
                            params:
                              type: object
                              additionalProperties: {}
                              description: Execution parameters
                            metadata:
                              type: object
                              additionalProperties: {}
                              description: Execution metadata
                            name:
                              type:
                                - string
                                - 'null'
                              description: Execution name
                            parentExecutionId:
                              type:
                                - string
                                - 'null'
                              description: >-
                                ID of the parent execution that triggered this
                                execution
                            attempts:
                              type: number
                              description: >-
                                Number of times this execution has been
                                attempted (including retries)
                            totalAttempts:
                              type: number
                              description: >-
                                Total number of attempts allowed for this
                                execution (initial + retries)
                            isLastAttempt:
                              type: boolean
                              description: >-
                                Whether this is the last attempt for this
                                execution (attempts >= totalAttempts)
                            isTest:
                              type: boolean
                              description: Whether this execution is a test run
                            truncatedParams:
                              type:
                                - string
                                - 'null'
                              description: >-
                                Truncated JSON string of execution parameters
                                (~50 chars)
                          required:
                            - id
                            - workflow
                            - batch
                            - logins
                            - authentications
                            - contextAuthentications
                            - startTime
                            - status
                            - params
                            - metadata
                            - name
                            - attempts
                            - totalAttempts
                            - isLastAttempt
                            - isTest
                            - truncatedParams
                          title: Active Execution (In Progress or Paused)
                        - type: object
                          properties:
                            id:
                              type: string
                              description: Unique identifier for the execution
                            workflow:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: ID of the workflow being executed
                                name:
                                  type: string
                                  description: Name of the workflow being executed
                              required:
                                - id
                                - name
                            batch:
                              type:
                                - object
                                - 'null'
                              properties:
                                id:
                                  type: string
                                  description: ID of the execution batch
                                name:
                                  type: string
                                  description: Name of the execution batch
                              required:
                                - id
                                - name
                              description: >-
                                Batch information if execution is part of a
                                batch
                            logins:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    description: ID of the login used for execution
                                  name:
                                    type: string
                                    description: Name of the login used for execution
                                required:
                                  - id
                                  - name
                            authentications:
                              type: array
                              items:
                                $ref: '#/components/schemas/Union_2'
                              description: Authentication responses for this execution
                            contextAuthentications:
                              type: array
                              items:
                                $ref: >-
                                  #/components/schemas/Object_contextAuthenticationId_loginSummary_authenticationStatus_4
                              description: >-
                                Session authentication responses with login
                                summary for this execution
                            startTime:
                              type: string
                              format: date-time
                              description: When the execution started
                            status:
                              type: string
                              enum:
                                - Enqueued
                            params:
                              type: object
                              additionalProperties: {}
                              description: Execution parameters
                            metadata:
                              type: object
                              additionalProperties: {}
                              description: Execution metadata
                            name:
                              type:
                                - string
                                - 'null'
                              description: Execution name
                            parentExecutionId:
                              type:
                                - string
                                - 'null'
                              description: >-
                                ID of the parent execution that triggered this
                                execution
                            attempts:
                              type: number
                              description: >-
                                Number of times this execution has been
                                attempted (including retries)
                            totalAttempts:
                              type: number
                              description: >-
                                Total number of attempts allowed for this
                                execution (initial + retries)
                            isLastAttempt:
                              type: boolean
                              description: >-
                                Whether this is the last attempt for this
                                execution (attempts >= totalAttempts)
                            isTest:
                              type: boolean
                              description: Whether this execution is a test run
                            truncatedParams:
                              type:
                                - string
                                - 'null'
                              description: >-
                                Truncated JSON string of execution parameters
                                (~50 chars)
                          required:
                            - id
                            - workflow
                            - batch
                            - logins
                            - authentications
                            - contextAuthentications
                            - startTime
                            - status
                            - params
                            - metadata
                            - name
                            - attempts
                            - totalAttempts
                            - isLastAttempt
                            - isTest
                            - truncatedParams
                          title: Enqueued Execution
                        - type: object
                          properties:
                            id:
                              type: string
                              description: Unique identifier for the execution
                            workflow:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: ID of the workflow being executed
                                name:
                                  type: string
                                  description: Name of the workflow being executed
                              required:
                                - id
                                - name
                            batch:
                              type:
                                - object
                                - 'null'
                              properties:
                                id:
                                  type: string
                                  description: ID of the execution batch
                                name:
                                  type: string
                                  description: Name of the execution batch
                              required:
                                - id
                                - name
                              description: >-
                                Batch information if execution is part of a
                                batch
                            logins:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    description: ID of the login used for execution
                                  name:
                                    type: string
                                    description: Name of the login used for execution
                                required:
                                  - id
                                  - name
                            authentications:
                              type: array
                              items:
                                $ref: '#/components/schemas/Union_2'
                              description: Authentication responses for this execution
                            contextAuthentications:
                              type: array
                              items:
                                $ref: >-
                                  #/components/schemas/Object_contextAuthenticationId_loginSummary_authenticationStatus_4
                              description: >-
                                Session authentication responses with login
                                summary for this execution
                            startTime:
                              type: string
                              format: date-time
                              description: When the execution started
                            status:
                              type: string
                              enum:
                                - Paused
                            params:
                              type: object
                              additionalProperties: {}
                              description: Execution parameters
                            metadata:
                              type: object
                              additionalProperties: {}
                              description: Execution metadata
                            name:
                              type:
                                - string
                                - 'null'
                              description: Execution name
                            parentExecutionId:
                              type:
                                - string
                                - 'null'
                              description: >-
                                ID of the parent execution that triggered this
                                execution
                            attempts:
                              type: number
                              description: >-
                                Number of times this execution has been
                                attempted (including retries)
                            totalAttempts:
                              type: number
                              description: >-
                                Total number of attempts allowed for this
                                execution (initial + retries)
                            isLastAttempt:
                              type: boolean
                              description: >-
                                Whether this is the last attempt for this
                                execution (attempts >= totalAttempts)
                            isTest:
                              type: boolean
                              description: Whether this execution is a test run
                            truncatedParams:
                              type:
                                - string
                                - 'null'
                              description: >-
                                Truncated JSON string of execution parameters
                                (~50 chars)
                          required:
                            - id
                            - workflow
                            - batch
                            - logins
                            - authentications
                            - contextAuthentications
                            - startTime
                            - status
                            - params
                            - metadata
                            - name
                            - attempts
                            - totalAttempts
                            - isLastAttempt
                            - isTest
                            - truncatedParams
                          title: Active Execution (In Progress or Paused)
                        - type: object
                          properties:
                            id:
                              type: string
                              description: Unique identifier for the execution
                            workflow:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: ID of the workflow being executed
                                name:
                                  type: string
                                  description: Name of the workflow being executed
                              required:
                                - id
                                - name
                            batch:
                              type:
                                - object
                                - 'null'
                              properties:
                                id:
                                  type: string
                                  description: ID of the execution batch
                                name:
                                  type: string
                                  description: Name of the execution batch
                              required:
                                - id
                                - name
                              description: >-
                                Batch information if execution is part of a
                                batch
                            logins:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    description: ID of the login used for execution
                                  name:
                                    type: string
                                    description: Name of the login used for execution
                                required:
                                  - id
                                  - name
                            authentications:
                              type: array
                              items:
                                $ref: '#/components/schemas/Union_2'
                              description: Authentication responses for this execution
                            contextAuthentications:
                              type: array
                              items:
                                $ref: >-
                                  #/components/schemas/Object_contextAuthenticationId_loginSummary_authenticationStatus_4
                              description: >-
                                Session authentication responses with login
                                summary for this execution
                            startTime:
                              type: string
                              format: date-time
                              description: When the execution started
                            params:
                              type: object
                              additionalProperties: {}
                              description: Execution parameters
                            metadata:
                              type: object
                              additionalProperties: {}
                              description: Execution metadata
                            name:
                              type:
                                - string
                                - 'null'
                              description: Execution name
                            parentExecutionId:
                              type:
                                - string
                                - 'null'
                              description: >-
                                ID of the parent execution that triggered this
                                execution
                            attempts:
                              type: number
                              description: >-
                                Number of times this execution has been
                                attempted (including retries)
                            totalAttempts:
                              type: number
                              description: >-
                                Total number of attempts allowed for this
                                execution (initial + retries)
                            isLastAttempt:
                              type: boolean
                              description: >-
                                Whether this is the last attempt for this
                                execution (attempts >= totalAttempts)
                            isTest:
                              type: boolean
                              description: Whether this execution is a test run
                            durationMs:
                              type: number
                              description: Duration of the execution in milliseconds
                            endTime:
                              type: string
                              format: date-time
                              description: When the execution completed
                            response:
                              type:
                                - object
                                - 'null'
                              additionalProperties: {}
                              description: Response from the execution
                            truncatedParams:
                              type:
                                - string
                                - 'null'
                              description: >-
                                Truncated JSON string of execution parameters
                                (~50 chars)
                            truncatedResponse:
                              type:
                                - string
                                - 'null'
                              description: >-
                                Truncated JSON string of execution response (~50
                                chars)
                            error:
                              type:
                                - object
                                - 'null'
                              properties:
                                code:
                                  type:
                                    - string
                                    - 'null'
                                  description: Error code identifying the type of failure
                                analysis:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    AI-generated analysis of what went wrong
                                    during the execution
                              required:
                                - code
                                - analysis
                              description: Error details for the execution
                            status:
                              type: string
                              enum:
                                - Completed
                          required:
                            - id
                            - workflow
                            - batch
                            - logins
                            - authentications
                            - contextAuthentications
                            - startTime
                            - params
                            - metadata
                            - name
                            - attempts
                            - totalAttempts
                            - isLastAttempt
                            - isTest
                            - durationMs
                            - endTime
                            - response
                            - truncatedParams
                            - truncatedResponse
                            - error
                            - status
                          title: Completed Execution Summary
                        - type: object
                          properties:
                            id:
                              type: string
                              description: Unique identifier for the execution
                            workflow:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: ID of the workflow being executed
                                name:
                                  type: string
                                  description: Name of the workflow being executed
                              required:
                                - id
                                - name
                            batch:
                              type:
                                - object
                                - 'null'
                              properties:
                                id:
                                  type: string
                                  description: ID of the execution batch
                                name:
                                  type: string
                                  description: Name of the execution batch
                              required:
                                - id
                                - name
                              description: >-
                                Batch information if execution is part of a
                                batch
                            logins:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    description: ID of the login used for execution
                                  name:
                                    type: string
                                    description: Name of the login used for execution
                                required:
                                  - id
                                  - name
                            authentications:
                              type: array
                              items:
                                $ref: '#/components/schemas/Union_2'
                              description: Authentication responses for this execution
                            contextAuthentications:
                              type: array
                              items:
                                $ref: >-
                                  #/components/schemas/Object_contextAuthenticationId_loginSummary_authenticationStatus_4
                              description: >-
                                Session authentication responses with login
                                summary for this execution
                            startTime:
                              type: string
                              format: date-time
                              description: When the execution started
                            params:
                              type: object
                              additionalProperties: {}
                              description: Execution parameters
                            metadata:
                              type: object
                              additionalProperties: {}
                              description: Execution metadata
                            name:
                              type:
                                - string
                                - 'null'
                              description: Execution name
                            parentExecutionId:
                              type:
                                - string
                                - 'null'
                              description: >-
                                ID of the parent execution that triggered this
                                execution
                            attempts:
                              type: number
                              description: >-
                                Number of times this execution has been
                                attempted (including retries)
                            totalAttempts:
                              type: number
                              description: >-
                                Total number of attempts allowed for this
                                execution (initial + retries)
                            isLastAttempt:
                              type: boolean
                              description: >-
                                Whether this is the last attempt for this
                                execution (attempts >= totalAttempts)
                            isTest:
                              type: boolean
                              description: Whether this execution is a test run
                            durationMs:
                              type: number
                              description: Duration of the execution in milliseconds
                            endTime:
                              type: string
                              format: date-time
                              description: When the execution completed
                            response:
                              type:
                                - object
                                - 'null'
                              additionalProperties: {}
                              description: Response from the execution
                            truncatedParams:
                              type:
                                - string
                                - 'null'
                              description: >-
                                Truncated JSON string of execution parameters
                                (~50 chars)
                            truncatedResponse:
                              type:
                                - string
                                - 'null'
                              description: >-
                                Truncated JSON string of execution response (~50
                                chars)
                            error:
                              type:
                                - object
                                - 'null'
                              properties:
                                code:
                                  type:
                                    - string
                                    - 'null'
                                  description: Error code identifying the type of failure
                                analysis:
                                  type:
                                    - string
                                    - 'null'
                                  description: >-
                                    AI-generated analysis of what went wrong
                                    during the execution
                              required:
                                - code
                                - analysis
                              description: Error details for the execution
                            status:
                              type: string
                              enum:
                                - Failed
                          required:
                            - id
                            - workflow
                            - batch
                            - logins
                            - authentications
                            - contextAuthentications
                            - startTime
                            - params
                            - metadata
                            - name
                            - attempts
                            - totalAttempts
                            - isLastAttempt
                            - isTest
                            - durationMs
                            - endTime
                            - response
                            - truncatedParams
                            - truncatedResponse
                            - error
                            - status
                          title: Failed Execution Summary
                  total:
                    type: number
                    description: Total number of executions matching the filter criteria
                required:
                  - executions
                  - total
                description: List of executions
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  schemas:
    Union_2:
      oneOf:
        - type: object
          properties:
            browserSessionId:
              type: string
              description: ID of the browser session used for authentication
            status:
              type: string
              const: InProgress
              description: Status of the authentication
            liveViewUrl:
              type:
                - string
                - 'null'
              description: URL for live view of the authentication
          required:
            - browserSessionId
            - status
            - liveViewUrl
          title: In Progress Authentication
        - type: object
          properties:
            status:
              type: string
              const: Enqueued
              description: Status of the authentication
          required:
            - status
          title: Enqueued Authentication
        - type: object
          properties:
            browserSessionId:
              type: string
              description: ID of the browser session used for authentication
            status:
              type: string
              const: Completed
              description: Status of the authentication
          required:
            - browserSessionId
            - status
          title: Finished Authentication
        - type: object
          properties:
            browserSessionId:
              type: string
              description: ID of the browser session used for authentication
            status:
              type: string
              const: Failed
              description: Status of the authentication
          required:
            - browserSessionId
            - status
          title: Failed Authentication
    Object_contextAuthenticationId_loginSummary_authenticationStatus_4:
      type: object
      properties:
        contextAuthenticationId:
          type: string
          description: ID of the context authentication
        loginSummary:
          type: object
          properties:
            loginId:
              type: string
              description: ID of the login used for authentication
            name:
              type: string
              description: Name of the login used for authentication
            isManual:
              type: boolean
              description: Whether this login requires manual authentication
          required:
            - loginId
            - name
            - isManual
        authenticationStatus:
          type: string
          enum:
            - Unauthenticated
            - AuthenticationInProgress
            - Authenticated
          description: Current status of the authentication from browser context
      required:
        - contextAuthenticationId
        - loginSummary
        - authenticationStatus

````